#!/bin/bash

LOGIN_FILE="login_inp-net"

tunnel_close() {
    ssh -S ".discover.socket" -O exit ssh.inpt.fr &> /dev/null
    kill "$(lsof -ti:64389)" &> /dev/null
}

tunnel_start() {
    nohup ssh -f -N -M -S ".discover.socket"  -L 64389:discover:389 ssh.inpt.fr -l "$(cat "$LOGIN_FILE")" &> .discover.log
}

tunnel_close


if ! tunnel_start; then
    echo "La création du tunnel SSH pour accéder au LDAP a échoué" >> /dev/stderr
    tunnel_close
    exit 1
fi

echo "Tunnel LDAP établi"
